;*******************(C) COPYRIGHT 2029 Masses-Chip ******************************
;* File Name          : M8P6271_Touch_UartDebug_LIB_Init.ASM
;* Author             : MASSES CHIP
;* Version            : V1.05
;* Date               : 2024/02/29
;********************************************************************************
; 
; 
;
;********************************************************************************

 LIST    p=m8P6271
 
#include m8P6271.inc
#include M8R_P_MACRO.inc 
#include M8P6271_Touch_UartDebug_LIB_Init.INC
	
;================================================================================
#if TKUartDebugLib_DEBUG_MODE_SWITCH
 GLOBAL _TK_TouchUartDebug_Init   
 GLOBAL _TK_Debug_Mode_Uart_SendChar   
 GLOBAL _TK_Debug_Mode_SendWord   
#endif 
;================================================================================ 
 extern _RTkTemp1   
 extern _RTkTemp2
;================================================================================
 
 CODE
 
;================================================================================
#if TKUartDebugLib_DEBUG_MODE_SWITCH

 
_TK_TouchUartDebug_Init:
; Stack:	Level 1
; INPUT:	 
; OUTPUT:	
; OTHER	:	
    MESSG "    串口调试功能：已开启，请调试结束后关闭" 

#ifdef	TouchUartDebugLib_TXD_IOA0
    bset    oea,0	     ;tx pin out put
	movia   b'00000000'  ; 
    movar   MPUART
	MESSG "    触摸调试串口：TXD -> IOA0" 
#endif

#ifdef	TouchUartDebugLib_TXD_IOA1
    bset    oea,1	     ;tx pin out put
	movia   b'00000001'  ; 
    movar   MPUART
	MESSG "    触摸调试串口：TXD -> IOA1" 
#endif

#ifdef	TouchUartDebugLib_TXD_IOA2
    bset    oea,2	     ;tx pin out put
	movia   b'00000010'  ; 
    movar   MPUART
	MESSG "    触摸调试串口：TXD -> IOA2" 
#endif

#ifdef	TouchUartDebugLib_TXD_IOA3
    bset    oea,3	     ;tx pin out put
	movia   b'00000011'  ; 
    movar   MPUART
	MESSG "    触摸调试串口：TXD -> IOA3" 
#endif

#ifdef	TouchUartDebugLib_TXD_IOA4
    bset    oea,4	     ;tx pin out put
	movia   b'00000100'  ; 
    movar   MPUART
	MESSG "    触摸调试串口：TXD -> IOA4" 
#endif

#ifdef	TouchUartDebugLib_TXD_IOA5
    bset    oea,5	     ;tx pin out put
	movia   b'00000101'  ; 
    movar   MPUART
	MESSG "    触摸调试串口：TXD -> IOA5" 
#endif

#ifdef	TouchUartDebugLib_TXD_IOA6
    bset    oea,6	     ;tx pin out put
	movia   b'00000110'  ; 
    movar   MPUART
	MESSG "    触摸调试串口：TXD -> IOA6" 
#endif

#ifdef	TouchUartDebugLib_TXD_IOA7
    bset    oea,7	     ;tx pin out put
	movia   b'00000111'  ; 
    movar   MPUART
	MESSG "    触摸调试串口：TXD -> IOA7" 
#endif
	
    movia   b'10000000'  ; txen 异步 8bit 1:4
    movar   TX0CR	
    movia   high(16000000/4/TKUartDebugLib_BAUDRATE-1)
    movar   BRGD0H	
    movia   low(16000000/4/TKUartDebugLib_BAUDRATE-1)  ; 16M(fosc)/4/(0x03+1) = 1M Baudrate = fosc/n/(BRGDH+1) 
    movar   BRGD0L   	   		
    return
   
#endif	   

;================================================================================
#if TKUartDebugLib_DEBUG_MODE_SWITCH 
_TK_Debug_Mode_Uart_SendChar:
; Stack:	Level 1
; INPUT:	ACC 
; OUTPUT:	
; OTHER	:	
    MOVAR   TX0REG
    jbts1   TX0CR,6 
    goto    $-1   
    return 
    
#endif	

;================================================================================
#if TKUartDebugLib_DEBUG_MODE_SWITCH 	
_TK_Debug_Mode_SendWord:
; Stack:	Level 1
; INPUT:	RTkTemp1&RTkTemp2 
; OUTPUT:	
; OTHER	:	  
    MOV    TX0REG,_RTkTemp2 ;high
    jbts1  INTF0,TXIF
    goto   $-1
	
    MOV    TX0REG,_RTkTemp1	;low
    jbts1  TX0CR,6  
    goto   $-1	
    return
	
#endif
;================================================================================
	
  end
  
;*********************************END OF FILE************************************

	