/*******************(C) COPYRIGHT 2024 Masses-Chip ******************************
* File Name          : M8P6271_Touch_UartDebug_LIB_Init.C
* Author             : MASSES CHIP
* Version            : V1.05
* Date               : 2024/02/29  
********************************************************************************

*******************************************************************************/

//================================================================================
#include "M8P6271.h"
#include "M8P6271_Touch_UartDebug_LIB_Init.H"

//================================================================================
extern unsigned char RTkTemp1;
extern unsigned char RTkTemp2;   

//================================================================================
#if TKUartDebugLib_DEBUG_MODE_SWITCH
void TK_TouchUartDebug_Init(void)
{
  __asm

  MESSG "    串口调试功能：已开启，请调试结束后关闭"
  
#ifdef	TouchUartDebugLib_TXD_IOA0
    bset    OEA,0	     ;tx pin out put
	movia   b'00000000'  ; 
    movar   MPUART
	MESSG "    触摸调试串口：TXD -> IOA0" 
#endif

#ifdef	TouchUartDebugLib_TXD_IOA1
    bset    OEA,1	     ;tx pin out put
	movia   b'00000001'  ; 
    movar   MPUART
	MESSG "    触摸调试串口：TXD -> IOA1" 
#endif

#ifdef	TouchUartDebugLib_TXD_IOA2
    bset    OEA,2	     ;tx pin out put
	movia   b'00000010'  ; 
    movar   MPUART
	MESSG "    触摸调试串口：TXD -> IOA2" 
#endif

#ifdef	TouchUartDebugLib_TXD_IOA3
    bset    OEA,3	     ;tx pin out put
	movia   b'00000011'  ; 
    movar   MPUART
	MESSG "    触摸调试串口：TXD -> IOA3" 
#endif

#ifdef	TouchUartDebugLib_TXD_IOA4
    bset    OEA,4	     ;tx pin out put
	movia   b'00000100'  ; 
    movar   MPUART
	MESSG "    触摸调试串口：TXD -> IOA4" 
#endif

#ifdef	TouchUartDebugLib_TXD_IOA5
    bset    OEA,5	     ;tx pin out put
	movia   b'00000101'  ; 
    movar   MPUART
	MESSG "    触摸调试串口：TXD -> IOA5" 
#endif

#ifdef	TouchUartDebugLib_TXD_IOA6
    bset    OEA,6	     ;tx pin out put
	movia   b'00000110'  ; 
    movar   MPUART
	MESSG "    触摸调试串口：TXD -> IOA6" 
#endif

#ifdef	TouchUartDebugLib_TXD_IOA7
    bset    OEA,7	     ;tx pin out put
	movia   b'00000111'  ; 
    movar   MPUART
	MESSG "    触摸调试串口：TXD -> IOA7" 
#endif
	
    movia   b'10000000'  ; txen 异步 8bit 1:4
    movar   TX0CR	
    movia   high(16000000/4/TKUartDebugLib_BAUDRATE-1)
    movar   BRGD0H	
    movia   low(16000000/4/TKUartDebugLib_BAUDRATE-1)  ; 16M(fosc)/4/(0x03+1) = 1M Baudrate = fosc/n/(BRGDH+1) 
    movar   BRGD0L
  __endasm;
}

#endif

//================================================================================
#if TKUartDebugLib_DEBUG_MODE_SWITCH
void TK_Debug_Mode_Uart_SendChar(void)
{
  __asm
  MOVAR   TX0REG
  jbts1   TX0CR,6
  goto    $-1
  __endasm;
}

#endif

//================================================================================
#if TKUartDebugLib_DEBUG_MODE_SWITCH
void TK_Debug_Mode_SendWord(void)
{
  __asm
  MOVR    _RTkTemp2,A
  MOVAR   TX0REG

  jbts1  INTF0,4 //TXIF
  goto   $-1

  MOVR    _RTkTemp1,A
  MOVAR   TX0REG

  jbts1  TX0CR,6
  goto   $-1
  __endasm;
}

#endif

//================================================================================

//*********************************END OF FILE************************************
