/*******************(C) COPYRIGHT 2024 Masses-Chip ******************************
* File Name          : M8P6271_Touch_UartDebug_LIB_Init.H
* Author             : MASSES CHIP
* Version            : V1.05
* Date               : 2024/02/29  
********************************************************************************


********************************************************************************/

//==================================================================== 
#ifndef __M8P6271_Touch_UartDebug_LIB_Init_INC__
#define __M8P6271_Touch_UartDebug_LIB_Init_INC__
//==================================================================== 
//触摸串口调试开关  
// 0：禁止编译时加载触摸调试程序，触摸调试完成后，请设为“0”
// 1：允许编译时加载触摸调试程序，此时可以通过触摸调试工具及配套软件获取内部相关数据，方便用户开发时调试触摸参数
#define TKUartDebugLib_DEBUG_MODE_SWITCH    0

// 触摸串口调试波特率设定，不建议修改，必需修改时，请用户自行确认所设波特率是否正常
// 软件模拟串口时,若Fcpu 速率较低时，若发现通讯不正常，请降低波特率
// MCU硬件串口时，波特率最高可达2M，且与Fcpu无关，但使用高速波特率时，请确认使用的串口工具是否支持
#define TKUartDebugLib_BAUDRATE             115200

// 选择触摸调试通信时数据端口 
// 格式TouchUartDebugLib_TXD_IOAX，如下若宏定义为”#define TouchUartDebugLib_TXD_IOA2" 表示触摸调试通信时选择IOA2为 Touch_TXD端口
#define TouchUartDebugLib_TXD_IOA7   
//==================================================================== 
#endif

//*********************************END OF FILE************************************
